package huoshan

import (
	_ "embed"

	"apigo.cc/ai"
	"github.com/ssgo/u"
)

//go:embed default.yml
var defaultYml string

func init() {
	defaultConf := ai.AILoadConfig{}
	u.Convert(u.UnYamlMap(defaultYml), &defaultConf)
	ai.Register("huoshan", &ai.Agent{
		ChatConfigs:      defaultConf.Chat,
		EmbeddingConfigs: defaultConf.Embedding,
		ImageConfigs:     defaultConf.Image,
		VideoConfigs:     defaultConf.Video,
		EditConfigs:      defaultConf.Edit,
		AsrConfigs:       defaultConf.Asr,
		TtsConfigs:       defaultConf.Tts,
		Chat:             Chat,
		Embedding:        Embedding,
		MakeImage:        MakeImage,
		// MakeVideo:        MakeVideo,
		// GetVideoResult:   GetVideoResult,
		Edit: Edit,
		// Scan: Scan,
		// Asr: Asr,
		// Tts: Tts,
	})
}
